//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RelationshipTypes.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RelationshipTypes"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN"&gt;
 *     &lt;enumeration value="REPL"/&gt;
 *     &lt;enumeration value="SPEC"/&gt;
 *     &lt;enumeration value="GEN"/&gt;
 *     &lt;enumeration value="COPY"/&gt;
 *     &lt;enumeration value="ADAPT"/&gt;
 *     &lt;enumeration value="EQUIV"/&gt;
 *     &lt;enumeration value="VERSION"/&gt;
 *     &lt;enumeration value="BACKWD"/&gt;
 *     &lt;enumeration value="DRIV"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RelationshipTypes")
@XmlEnum
public enum RelationshipTypes {


    /**
     * This template replaces @template
     * 
     */
    REPL,

    /**
     * This template specializes @template
     * 
     */
    SPEC,

    /**
     * This template generalizes @template
     * 
     */
    GEN,

    /**
     * This template is a design copy of @template
     * 
     */
    COPY,

    /**
     * This template is an adaptation of @template
     * 
     */
    ADAPT,

    /**
     * This template is equivalent to @template regarding design
     * 
     */
    EQUIV,

    /**
     * This template is a version of @template
     * 
     */
    VERSION,

    /**
     * This template is backward compatible of @template
     * 
     */
    BACKWD,

    /**
     * For future use: This template is derived from model or other artifact expressed or specified in the @template attribute
     * 
     */
    DRIV;

    public String value() {
        return name();
    }

    public static RelationshipTypes fromValue(String v) {
        return valueOf(v);
    }

}
